%define         uname cJSON

%define         major 1
%define         libname %mklibname %{name} %{major}
%define         devel %mklibname %{name} -d

Name:           cjson
Version:        1.7.15
Release:        %mkrel 2
Summary:        Ultra-lightweight JSON parser in ANSI C
Group:          System/Libraries
License:        MIT
URL:            https://github.com/DaveGamble/cJSON/
Source0:        https://github.com/DaveGamble/cJSON/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja

%description
cJSON aims to be the dumbest possible parser that you can get your job done
with. It's a single file of C, and a single header file.

JSON is described best here: http://www.json.org/ It's like XML, but fat-free.
You use it to move data around, store things, or just generally represent
your program's state.

As a library, cJSON exists to take away as much legwork as it can, but not
get in your way. As a point of pragmatism (i.e. ignoring the truth), I'm
going to say that you can use it in one of two modes: Auto and Manual.
Let's have a quick run-through.

I lifted some JSON from this page: http://www.json.org/fatfree.html
That page inspired me to write cJSON, which is a parser that tries to share
the same philosophy as JSON itself. Simple, dumb, out of the way.

%package -n %{libname}
Summary:        Libraries for cJSON
Group:          System/Libraries

%description -n %{libname}
cJSON aims to be the dumbest possible parser that you can get your job done
with. It's a single file of C, and a single header file.

This package contains the libraries for cJSON.

%package -n %{devel}
Summary:       Development libraries and headers for cJSON
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}

%description -n %{devel}
cJSON aims to be the dumbest possible parser that you can get your job done
with. It's a single file of C, and a single header file.

Headers and development libraries for cJSON.

%prep
%autosetup -n %{uname}-%{version}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc *.md
%{_libdir}/libcjson.so.%{major}{,.*}

%files -n %{devel}
%{_includedir}/cjson/cJSON.h
%{_libdir}/libcjson.so
%{_libdir}/cmake/cJSON/
%{_libdir}/pkgconfig/libcjson.pc


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.7.15-2.mga9
+ Revision: 1833066
- Mageia 9 Mass Rebuild

* Thu Aug 26 2021 kekepower <kekepower> 1.7.15-1.mga9
+ Revision: 1742573
- Update to version 1.7.15

* Wed Sep 09 2020 kekepower <kekepower> 1.7.14-2.mga8
+ Revision: 1623796
- Update to version 1.7.14

* Mon Jul 20 2020 wally <wally> 1.7.13-2.mga8
+ Revision: 1607505
- build with new cmake macros

* Sun Apr 12 2020 kekepower <kekepower> 1.7.13-1.mga8
+ Revision: 1566950
- imported package cjson

